Remove Ciphersuites with SHA1?

According to this commit Fix master secret extraction, support and use ECDSA and DTLS 1.2 · jitsi/libjitsi@60f54cc · GitHub a lot of deprecated ciphersuites have been removed, but later in the code the default algorithm is fetched from the certificate in use, and the case switch still refers to some algorithms with SHA1.
So I wonder if a MitM attack could still force a downgrade to a vulnerable protocol?